Subject: News from Finland

From: [email-masked] (Jaakko B Kullberg)
Date: 17 Jun 1996 13:50:03 GMT

Melitae didyma is recorded as new to Finnish fauna. Other migrating
leps:

I. podalirius 5th, A. levana (new to Varsinais-Suomi), hyale,
stellatarum, gamma and cardui still going strong, Nym.wau-album 1 ex.

jaska